# 32/64bit spec-file
#
%define name mp3splt-gtk
%define summary A graphical tool for splitting mp3 and ogg files without decoding
%define version 0.9.2
%define release %mkrel 1

Name: %{name}
Summary: %{summary}
Summary(de): MP3SPLT-GTK teilt MP3- und Ogg Vorbis-Dateien
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
Group: Sound
URL: http://mp3splt.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPLv2+
BuildRequires: libmp3splt-devel >= 0.8.2
BuildRequires: glib2-devel
BuildRequires: gtk+3-devel
BuildRequires: doxygen
BuildRequires: graphviz 
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: gnome-doc-utils
BuildRequires: cutter-devel >= 1.2.2
BuildRequires: libpthread-stubs
Requires:   %{_lib}mp3splt0 >= 0.8.2
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Requires:   gstreamer1.0-plugins-good 
Requires:   gstreamer1.0-plugins-ugly
Requires:   glib2.0-common
Requires:   gtk+3.0
Obsoletes: %name < %version



%description
mp3splt-project common features:
* split mp3 and ogg files from a begin time to an end time without decoding
* split an album with splitpoints from the freedb.org server
* split an album with local .XMCD, .CDDB or .CUE file
* split files automatically with silence detection
* split files by a fixed time length
* split files created with Mp3Wrap or AlbumWrap
* split concatenated mp3 files
* support for mp3 VBR (variable bit rate)
* specify output directory for splitted files

%description -l de
Mp3splt-gtk ist eine GTK2-Oberfläche, welche libmp3splt verwendet, 
um MP3- und OGG-Dateien zu teilen, ohne diese zu Dekodieren. Die wichtigsten 
Funktionen von mp3splt sind:
aufteilung von MP3- und OGG-Dateien mittels eines Anfangs- und Endzeitpunkts, ohne die Datei umzukodieren
Aufteilen eines Albums mit Markierungen vom freedb.org-Server
Aufteilen eines Albums mit lokal gespeicherten .XMCD, .CDDB oder .CUE-Dateien
Automatische Aufteilung anhand von Ruhepausen innerhalb der Datei
Aufteilen von Dateien anhand festgelegter Dauer
Aufteilen von Dateien, die mit mp3wrap oder albumwrap erstellt wurden
Aufteilen zusammengefügter MP3-Dateien
Unterstützt VBR (Variable Bit Rate)Ausgabeordner für aufgeteilte Dateien kann geändert werden. 

%prep
%setup -q

%build
%configure2_5x \
 --enable-bmp \
 --disable-audacious

%make

%install
%makeinstall
%find_lang %{name}

#Create the desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name= MP3-Splt
Name[de]=MP3-Splt
Comment=%{summary}
Comment[de]=MP3SPLT-GTK teilt MP3- und Ogg Vorbis-Dateien
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Sound;
EOF


%clean
rm -rf $RPM_BUILD_ROOT 

%post
%update_menus
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%postun 
%clean_menus
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}

%changelog
* Fri Nov 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.9.2-1pclos2014
- 0.9.2
- add BR libpthreads-stubs

* Thu Jul 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.9.1a-1pclos2014
- 0.9.1a
- remove bmp deps gstreamer is used for playback
- replace gtk2 dep with gtk3 gtk2 version does not compile

* Sat May 03 2014 ghostbunny <ghostbunny at gmx dot de> 0.9.1-1pclos2014
- 0.9.1
- use gstreamer 1.0

* Tue Apr 22 2013 Texstar <texstar at gmail.com> 0.8.2-3pclos2013
- add gtk+3.0 dependency

* Tue Apr 22 2013 Texstar <texstar at gmail.com> 0.8.2-2pclos2013
- add post scripts and glib-common dependency

* Sat Apr 20 2013 Ken <lxgator at gmail dot com> 0.8.2-1pclos2013
- 0.8.2

* Sun Mar 24 2013 pinoc <vogtpet at gmail.com> 0.8.1-2pclos2013
- fixed Requires

* Tue Mar 05 2013 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2013
- 0.8.1

* Mon Jan 21 2013 ghostbunny <ghostbunny at gmx dot de> 0.8-1pclos2013
- 0.8

* Wed Sep 12 2012 Neal <nealbrks0 at gmail dot com> 0.7.3-1pclos2012
- process

* Wed Sep 12 2012 Ken <lxgator at gmail dot com> 0.7.3-1pclos2012
- 0.7.3

* Mon May 14 2012 Neal <nealbrks0 at gmail dot com> 0.7.2-1pclos2012
- add build requirement gnome-doc-utils
- process

* Mon May 14 2012 Neal <nealbrks0 at gmail dot com> 0.7.2-1pclos2012
- add build requirement gnome-doc-utils
- process

* Mon May 14 2012 ghostbunny <ghostbunny at gmx dot de> 0.7.2-1pclos2012
- 0.7.2
- added german entries in the desktop file section
- added %{_lib} macros

* Fri Aug 19 2011 Texstar <texstar at gmail.com> 0.7-1pclos2011
- 0.7

* Sun Mar 06 2011 Texstar <texstar at gmail.com> 0.6.1a-1pclos2011
- 0.6.1a

* Thu Dec 08 2009 Leiche <MeissSW01@aol.com> 0.5.8-2pclos2010
- add missing requires gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-good


